cURL
curl "https://api.ionq.co/v0.3/characterizations/backends/qpu.harmony" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.3/characterizations/backends/{backend}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ionq.co/v0.3/characterizations/backends/{backend}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"characterizations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": 123,
"backend": "qpu.harmony",
"qubits": 1,
"connectivity": [
[
0,
1
],
[
0,
2
],
"...",
[
10,
9
]
],
"fidelity": {
"spam": {
"mean": 1,
"stderr": 1,
"median": 1
}
},
"timing": {
"readout": 123,
"reset": 123,
"1q": 123,
"2q": 123,
"t1": 123,
"t2": 123
}
}
],
"pages": 123
}Characterizations
Get All Backend Characterizations
This endpoint retrieves an array of all available backend characterizations, with pagination.
GET
/
characterizations
/
backends
/
{backend}
cURL
curl "https://api.ionq.co/v0.3/characterizations/backends/qpu.harmony" \
-H "Authorization: apiKey your-api-key"import requests
url = "https://api.ionq.co/v0.3/characterizations/backends/{backend}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ionq.co/v0.3/characterizations/backends/{backend}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"characterizations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"date": 123,
"backend": "qpu.harmony",
"qubits": 1,
"connectivity": [
[
0,
1
],
[
0,
2
],
"...",
[
10,
9
]
],
"fidelity": {
"spam": {
"mean": 1,
"stderr": 1,
"median": 1
}
},
"timing": {
"readout": 123,
"reset": 123,
"1q": 123,
"2q": 123,
"t1": 123,
"t2": 123
}
}
],
"pages": 123
}Path Parameters
A backend where jobs can run on.
Available options:
qpu.harmony, qpu.aria-1, qpu.aria-2, qpu.forte-1, qpu.forte-enterprise-1 Query Parameters
Characterizations starting at this time (e.g., start=1585713600000)
Characterizations before this time (e.g., end=1585713600000)
How many objects to return.
Required range:
1 <= x <= 10Specify the page of results to return.
Required range:
x >= 1Was this page helpful?

